Are You Currently E-Prescribing?

If You Are Currently E-Prescribing & Plan To Continue, You Need To Take Action

azcomp technologies exists to empower small practices to deliver the best patient care

azcomp purpose – empowering small practices to deliver the best care

In order to stay compliant with the 2014 SureScripts mandates, those that are using the e-Prescribing services must upgrade to version 11 of Practice Partner, Medisoft Clinical or Lytec MD.  Providers that do not upgrade to version 11 prior to October 1 will see their SureScripts accounts disabled.

So, if you plan to continue using the e-Prescription services, please call 866.724.7404 to talk to an EMR Specialist.

AZCOMP posted on this subject last week, but this information was buried at the bottom of the post.  We just want to make sure that users are aware of how the 2014 Surescripts mandates effect them.